<?php



namespace WpieApp\Core\Helpers;

defined( 'WPIE__FILE__' ) || exit;


trait Boolean {

        
        public static function detectBoolVal( $var = '' ) {

                if ( is_bool( $var ) ) {
                        return $var;
                }
                if ( is_null( $var ) ) {
                        return false;
                }

                if ( is_numeric( $var ) ) {
                        return Helper::toNumber( $var ) > 0;
                }

                $var = is_string( $var ) ? trim( strtolower( $var ) ) : $var;

                if ( is_string( $var ) && (('' === $var) || in_array( $var, [ 'off', '0', 'no', 'false', 'close', 'closed' ] ) ) ) {
                        return false;
                }

                if ( is_string( $var ) && in_array( $var, [ 'on', '1', 'yes', 'true', 'open' ] ) ) {
                        return true;
                }

                return 'undefined';
        }
}
