<?php



namespace WpieApp\Core\Logger;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class AutoLogger extends Logger {

        
        protected static $handle = null;

        
        const DEFAULT_HANDLE = "WPIE";

        
        public static function init() {

                if ( static::$handle !== null ) {
                        return;
                }

                $path = Helper::pathJoin( WPIE_LOG_DIR, 'debug.log' );

                static::$handle = self::register( self::DEFAULT_HANDLE, $path, null, true );
        }

        
        public static function get() {

                self::init();

                return self::$handle;
        }

}
