<?php




namespace WpieApp\Core\Page;

defined( 'WPIE__FILE__' ) || exit;


class Page {

        
        protected static $template = null;

        
        protected static $header = [];

        
        protected static $content = [];

        
        protected static $footer = [];

        
        public static function getHeader() {

                
                return \apply_filters( 'Wpie/Core/Page/Header', self::$header );
        }

        
        public static function getContent() {

                
                return \apply_filters( 'Wpie/Core/Page/Content', self::$content );
        }

        
        public static function getFooter() {

                
                return \apply_filters( 'Wpie/Core/Page/Footer', self::$footer );
        }

        
        public static function getTemplate() {

                
                return \apply_filters( 'Wpie/Core/Page/Template', self::$template );
        }

        
        protected static function render() {
                Template::render();
        }

}
