<?php



namespace WpieApp\Extensions\Export\Acf\Controller\Items\Base\DataCenters;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class AdvancedField {

        
        public static function isValidField( $type = "" ) {
                return in_array( $type, [ 'date_picker' ] );
        }

        
        public static function getData( $type = '', $data = [] ) {

                switch ( $type ) {

                        case 'date_picker':
                                $data = Date::get( strtotime( $data ) );
                                break;
                }

                return $data;
        }
}
