<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Base {

        
        protected static $prefix = '';

        
        protected static $key = '';

        
        protected static $fieldType = '';

        
        protected static $fieldTypes = [];

        
        protected static $field = [];

        
        protected static $data;

        
        public static function get( $field = [], $data = '', $prefix = '' ) {

                if ( Helper::isEmpty( $data ) ) {
                        return $data;
                }

                static::$field = $field;

                static::$fieldType = isset( $field[ 'type' ] ) ? $field[ 'type' ] : '';

                static::$key = isset( $field[ 'key' ] ) ? $field[ 'key' ] : '';

                static::$data = $data;

                static::$prefix = $prefix;

                return static::getData();
        }

        
        protected static function getData() {

                return static::$data;
        }

        
        public static function isAllowed( $type = '' ) {
                return in_array( $type, static::$fieldTypes );
        }

        
        protected static function getExisting() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                $id = static::$prefix . DataCenter::getId();

                return \get_field( static::$key, $id, false );
        }
}
