<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Jquery extends Base {

        
        protected static $fieldTypes = [ 'acfe_date_range_picker', 'acfe_recaptcha', 'acfe_phone_number', 'extended-color-picker' ];

        
        protected static function getHints( $type = '' ) {

                $hints = parent::getHints( $type );

                switch ( $type ) {
                        case 'acfe_date_range_picker';
                                $hints[] = [ 'text' => __( 'Supports only exported data from same plugin', 'wp-import-export' ), 'class' => 'text-danger' ];
                                break;
                }

                return $hints;
        }
}
