<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Base;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Base\Engines\Language;

defined( 'WPIE__FILE__' ) || exit;


class Filters {

        
        protected static $isInit = false;

        
        protected static $language;

        
        public static function getLanguage() {

                if ( Helper::isNonEmptyStr( static::$language ) ) {
                        return static::$language;
                }
                return Language::getImport();
        }

        
        public static function init() {

                if ( static::$isInit ) {
                        return;
                }

                static::$isInit = true;

                static::remove();

                static::removeMeta();

                static::add();
        }

        
        protected static function remove() {
                
        }

        
        public static function removeMeta() {
                
        }

        
        protected static function add() {
                
        }

        
        protected static function removeMetaManually( $metaClass, $type = 'post' ) {

                \remove_action( 'added_' . $type . '_meta', [ $metaClass, 'add_meta' ] );

                \remove_filter( 'update_' . $type . '_metadata', [ $metaClass, 'update_metadata' ], 999 );
                \remove_action( 'update_' . $type . '_meta', [ $metaClass, 'update_meta' ] );

                \remove_action( 'delete_' . $type . '_meta', [ $metaClass, 'store_metas_to_sync' ] );
                \remove_action( 'deleted_' . $type . '_meta', [ $metaClass, 'delete_meta' ] );
        }
}
