<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\ContentType;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function detect() {

                if ( Order::detect() ) {
                        return true;
                }
                if ( Coupon::detect() ) {
                        return true;
                }
                if ( Category::detect() ) {
                        return true;
                }
                if ( Tags::detect() ) {
                        return true;
                }
                if ( Review::detect() ) {
                        return true;
                }
                if ( Attribute::detect() ) {
                        return true;
                }
                if ( Customer::detect() ) {
                        return true;
                }
                if ( Product::detect() ) {
                        return true;
                }

                return self::findByFilename();
        }

        
        public static function findByFilename() {

                if ( Order::setByFilename() ) {
                        return true;
                }
                if ( Coupon::setByFilename() ) {
                        return true;
                }
                if ( Tags::setByFilename() ) {
                        return true;
                }
                if ( Category::setByFilename() ) {
                        return true;
                }
                if ( Review::setByFilename() ) {
                        return true;
                }
                if ( Attribute::setByFilename() ) {
                        return true;
                }
                if ( Customer::setByFilename() ) {
                        return true;
                }
                if ( Product::setByFilename() ) {
                        return true;
                }

                return false;
        }

}
