<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category;

use WpieApp\Modules\Import\Controller\Items\Term\Engine as TermEngine;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines\Meta;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines\Image;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines\Extra;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends TermEngine {

        
        protected static function updateTerm() {

                parent::updateTerm();

                Image::import();

                Extra::update();
        }

        
        protected static function updateMeta() {

                Meta::import();
        }

}
