<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Extra {

        
        public static function update() {


                if ( DataCenter::canUpdate( 'standard/display-type' ) ) {

                        $displayType = strtolower( DataCenter::get( "standard/display-type/data" ) );

                        $displayType = ('' === $displayType || 'default' === $displayType) ? '' : Helper::autoFixStr( $displayType, [ 'products', 'subcategories', 'both', 'default' ], 4 );

                        Meta::update( 'display_type', ('default' === $displayType ? '' : $displayType ) );
                }

                if ( DataCenter::canUpdate( 'standard/order' ) ) {

                        $order = DataCenter::get( "standard/order/data" );

                        Meta::update( 'order', Helper::toInt( $order ) );
                }
        }

}
