<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Fields\Usage;

defined( 'WPIE__FILE__' ) || exit;


class UsedBy {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Used By', 'wp-import-export' ),
                        "desc"     => __( 'Used By', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "used_by" => [
                                        "order"      => 10,
                                        "label"      => __( 'Used By', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "used_by" => [
                                                        "description" => __( "Set which users have used this coupon. ", 'wp-import-export' ),
                                                        "name"        => "fields/usage/used_by/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'list of User Email or username or login', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'multiple data separated by comma', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'example : demo1@gmail.com,demo2@gmail.com', 'wp-import-export' ) ]
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
