<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Quantity {

        
        public static function getBlocks() {

                return [
                        "title"         => __( 'Quantity', 'wp-import-export' ),
                        "desc"          => __( 'Quantity', 'wp-import-export' ),
                        "order"         => 20,
                        "isRecommended" => true,
                        "fields"        => [
                                "quantity" => [
                                        "order"      => 5,
                                        "label"      => __( 'Quantity', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "quantity"  => [
                                                        "description" => __( 'Product Quantity', 'wp-import-export' ),
                                                        "name"        => "fields/product/quantity/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                                "separator" => [
                                                        "description" => __( 'Multiple products quantities separated by', 'wp-import-export' ),
                                                        "name"        => "fields/product/quantity/separator",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Default : ||', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
