<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Tax;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Options', 'wp-import-export' ),
                        "desc"       => __( 'Tax Options', 'wp-import-export' ),
                        "order"      => -10,
                        "uid"        => Helper::randStr( "wpie-field-" ),
                        "block-type" => "options",
                        "fields"     => [
                                "manage-existing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Manage Existing', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "update-existing" => [
                                                        "name"    => "fields/tax/manage-existing/data",
                                                        "order"   => 5,
                                                        "type"    => "radio",
                                                        "default" => "append",
                                                        "choices" => [
                                                                "append" => __( "Append Tax", 'wp-import-export' ),
                                                                "remove" => __( "Replace Tax", 'wp-import-export' )
                                                        ],
                                                        "hints"   => [
                                                                "append" => __( "Append new Tax and keep Existing Tax", 'wp-import-export' ),
                                                                "remove" => __( "Remove/Replace existing Tax and Add new Tax", 'wp-import-export' )
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                ];
        }

}
