<?php



namespace WpieApp\Extensions\Import\WooCommerce;

defined( 'WPIE__FILE__' ) || exit;


class I10n {

        
        public static function init() {

                \add_filter( 'Wpie/Localize/Texts', [ __CLASS__, 'addTexts' ] );
        }

        
        public static function addTexts( $data = [] ) {

                return array_merge(
                        $data,
                        [
                                'attribute_name'       => __( 'Attribute Name', 'wp-import-export' ),
                                'attribute_value'      => __( 'Attribute Value', 'wp-import-export' ),
                                'attribute_count'      => __( '# Attribute', 'wp-import-export' ),
                                'show_advanced_fields' => __( 'Show Advanced Fields', 'wp-import-export' ),
                                'hide_advanced_fields' => __( 'Hide Advanced Fields', 'wp-import-export' ),
                        ]
                );
        }

}
