<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Base\Fields\General;

defined( 'WPIE__FILE__' ) || exit;


class IsCornerstone {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Is Cornerstone Content', 'wp-import-export' ),
                        "desc"   => __( 'Is Cornerstone Content', 'wp-import-export' ),
                        "order"  => 25,
                        "fields" => [
                                "is-cornerstone" => [
                                        "order"      => 5,
                                        "label"      => __( 'Is Cornerstone Content?', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "is-cornerstone" => [
                                                        "description"   => __( "Is Cornerstone Content?", 'wp-import-export' ),
                                                        "name"          => "fields/yoastseo/general/is_cornerstone/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "no"           => __( "No", 'wp-import-export' ),
                                                                "yes"          => __( "Yes", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "no"           => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "is-cornerstone-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "is-cornerstone" => [
                                                                                                "name"  => "fields/yoastseo/general/is_cornerstone/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default: No', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'off, on, yes, no, true, false, 0, 1 all values are supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
