<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $data = isset( DataCenter::getItem()->$element ) ? DataCenter::getItem()->$element : "";

                if ( 'slug' === $element ) {
                        $data = \urldecode_deep( $data );
                }

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Standard/Data', $data, Settings::getContentType() );
        }
}
