<?php




namespace WpieApp\Modules\Import\View\HandleItems;

defined( 'WPIE__FILE__' ) || exit;


class SearchItems {

	
	public static function getBlocks() {

		
		return \apply_filters(
			'Wpie/Modules/Import/View/ContentSetup/SearchItems',
			[
				"title"		 => __( 'Search Items', 'wp-import-export' ),
				"isActive"	 => true,
				"order"		 => 5,
				"desc"		 => __( 'Search Existing Items', 'wp-import-export' ),
				"fields"	 => [
					"select-file" => [
						"order"		 => 5,
						"label"		 => __( 'Search By', 'wp-import-export' ),
						"sub-fields"	 => [
//							"file-list" => [
//								"type"		 => "radio",
//								"order"		 => 5,
//								"name"		 => "serach-items",
//								"default"	 => "title",
//								"description"	 => __( 'Search Item on your site based on...', 'wp-import-export' ),
//								"choices"	 => [ "id" => "ID", "title" => "Title", "meta" => "Meta", "slug" => "Slug" ]
//							]
							"button" => [
								"order"		 => 5,
								"type"		 => "button",
								"label"		 => __( 'Click to specify', 'wp-import-export' ),
								"icon-class"	 => "fa-solid fa-gear",
								"class"		 => "wpie-set-handle-items btn-primary"
							]
						]
					]
				]
			]
		);
	}

}
