<?php



namespace WpieApp\Modules\License\View\License;

defined( 'WPIE__FILE__' ) || exit;


class License {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/License/View/License',
                        [
                                "title"    => __( 'License', 'wp-import-export' ),
                                "isActive" => true,
                                "order"    => 10,
                                "desc"     => __( 'Manage License', 'wp-import-export' ),
                                "fields"   => [
                                        "manage-license" => [
                                                "order"      => 10,
                                                "label"      => __( 'Purchase Code', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "purchase-code" => [
                                                                "type"                => "license",
                                                                "apply-default-class" => false,
                                                                "bg-class"            => "bg-white",
                                                                "outer-class"         => "m-0 p-0",
                                                                "order"               => 10
                                                        ],
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
