<?php



namespace WpieApp\Modules\Tools\View\Tools;

defined( 'WPIE__FILE__' ) || exit;


class Settings {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Tools/View/Settings',
                        [
                                "title"    => __( 'Manage Settings', 'wp-import-export' ),
                                "order"    => 10,
                                "isActive" => true,
                                "desc"     => __( 'Export / Delete Settings', 'wp-import-export' ),
                                "fields"   => [
                                        "export-log" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "log" => [
                                                                'bg-class' => "bg-white",
                                                                "type"     => "manage-settings",
                                                                "order"    => 10,
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
