<?php



namespace WpieApp\Providers;

defined( 'WPIE__FILE__' ) || exit;


class I18n {

        
        public static function getStrList() {

                
                return \apply_filters( 'Wpie/Localize/Texts',
                        [
                                'dear_user'                                                                                                       => __( 'Dear user', 'wp-import-export' ),
                                'please_wait'                                                                                                     => __( 'Please Wait', 'wp-import-export' ),
                                'field_added'                                                                                                     => __( 'Field Added', 'wp-import-export' ),
                                'field_removed'                                                                                                   => __( 'Field Removed', 'wp-import-export' ),
                                'empty_label'                                                                                                     => __( 'Field Label is empty', 'wp-import-export' ),
                                'empty_value'                                                                                                     => __( 'Field Value is empty', 'wp-import-export' ),
                                'select_field'                                                                                                    => __( 'Please Select Field', 'wp-import-export' ),
                                'select_condition'                                                                                                => __( 'Select Condition', 'wp-import-export' ),
                                'add_invalid_filter'                                                                                              => __( 'Adding Invalid Filter', 'wp-import-export' ),
                                'filter_added_successfully'                                                                                       => __( 'Filter Added Successfully', 'wp-import-export' ),
                                'filter_updated_successfully'                                                                                     => __( 'Filter Updated Successfully', 'wp-import-export' ),
                                'filter_removed_successfully'                                                                                     => __( 'Filter Removed Successfully', 'wp-import-export' ),
                                'are_you_sure_you_want_to_import_this_sheet'                                                                      => __( 'Are you sure you want to import this Sheet?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_import_this_file'                                                                       => __( 'Are you sure you want to import this File?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_delete_this_rule'                                                                       => __( 'Are you sure you want to delete this Rule?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_delete_this_setting'                                                                    => __( 'Are you sure you want to delete this Setting?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_load_this_settings'                                                                     => __( 'Are you sure you want to Load this Setting?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_update_this_settings'                                                                   => __( 'Are you sure you want to Update this Setting?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_delete_these_logs'                                                                      => __( 'Are you sure you want to Remove these Logs?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_delete_this_log'                                                                        => __( 'Are you sure you want to Remove this Log?', 'wp-import-export' ),
                                'rule_count'                                                                                                      => __( '# Rule', 'wp-import-export' ),
                                'meta_count'                                                                                                      => __( '# Meta', 'wp-import-export' ),
                                'something_wrong'                                                                                                 => __( 'Something Wrong', 'wp-import-export' ),
                                'delete'                                                                                                          => __( 'DELETE', 'wp-import-export' ),
                                'records_found'                                                                                                   => __( 'Records Found', 'wp-import-export' ),
                                'settings_saved'                                                                                                  => __( 'Settings Saved', 'wp-import-export' ),
                                'settings_deleted'                                                                                                => __( 'Settings Deleted', 'wp-import-export' ),
                                'please_enter_setting_name'                                                                                       => __( 'Please Enter Setting Name', 'wp-import-export' ),
                                'you_have_not_selected_any_columns_for_export'                                                                    => __( 'You have not selected any columns for export.', 'wp-import-export' ),
                                'fields_not_available'                                                                                            => __( 'Fields not available', 'wp-import-export' ),
                                'compare_value_with_date_time'                                                                                    => __( 'Compare value with Date & Time', 'wp-import-export' ),
                                'and'                                                                                                             => __( 'AND', 'wp-import-export' ),
                                'fields'                                                                                                          => __( 'Fields', 'wp-import-export' ),
                                'all'                                                                                                             => __( 'All', 'wp-import-export' ),
                                'or'                                                                                                              => __( 'OR', 'wp-import-export' ),
                                'of'                                                                                                              => __( 'of', 'wp-import-export' ),
                                'show_more'                                                                                                       => __( 'Show More', 'wp-import-export' ),
                                'show_all'                                                                                                        => __( 'Show All', 'wp-import-export' ),
                                'show_few'                                                                                                        => __( 'Show Few', 'wp-import-export' ),
                                'show_less'                                                                                                       => __( 'Show Less', 'wp-import-export' ),
                                'cancel'                                                                                                          => __( 'CANCEL', 'wp-import-export' ),
                                'step'                                                                                                            => __( 'Step', 'wp-import-export' ),
                                'invalid_file_format'                                                                                             => __( 'Invalid File Format', 'wp-import-export' ),
                                'compare_string'                                                                                                  => __( 'Compare Strings', 'wp-import-export' ),
                                'compare_number'                                                                                                  => __( 'Compare Numbers', 'wp-import-export' ),
                                'compare_date'                                                                                                    => __( 'Compare Dates', 'wp-import-export' ),
                                'please_enter_file_url'                                                                                           => __( 'Please Enter File URL', 'wp-import-export' ),
                                'please_enter_ftp_server'                                                                                         => __( 'Please Enter Ftp Server', 'wp-import-export' ),
                                'please_enter_ftp_username'                                                                                       => __( 'Please Enter Ftp Username', 'wp-import-export' ),
                                'please_enter_ftp_password'                                                                                       => __( 'Please Enter Ftp Password', 'wp-import-export' ),
                                'please_enter_sftp_server'                                                                                        => __( 'Please Enter SFtp Server', 'wp-import-export' ),
                                'please_enter_sftp_username'                                                                                      => __( 'Please Enter SFtp Username', 'wp-import-export' ),
                                'please_enter_sftp_password_or_private_key'                                                                       => __( 'Please Enter SFtp Password or Private Key', 'wp-import-export' ),
                                'please_enter_sftp_path'                                                                                          => __( 'Please Enter SFtp File / Directory Path', 'wp-import-export' ),
                                'select_any_file'                                                                                                 => __( 'Select any file', 'wp-import-export' ),
                                'select_any_sheet'                                                                                                => __( 'Select any sheet', 'wp-import-export' ),
                                'please_select_any_sheet_for_import'                                                                              => __( 'Please select any sheet for import', 'wp-import-export' ),
                                'please_enter_google_drive_api_client_id'                                                                         => __( 'Please Enter Google Drive API Client Id', 'wp-import-export' ),
                                'please_enter_google_drive_api_client_secret'                                                                     => __( 'Please Enter Google Drive API Client Secret', 'wp-import-export' ),
                                'please_enter_google_drive_api_refresh_token'                                                                     => __( 'Please Enter Google Drive API Refresh Token', 'wp-import-export' ),
                                'please_enter_dropbox_api_key'                                                                                    => __( 'Please Enter Dropbox App Access Token', 'wp-import-export' ),
                                'please_enter_google_cloud_storage_project_id'                                                                    => __( 'Please Enter Google Cloud Storage Project Id', 'wp-import-export' ),
                                'please_enter_google_cloud_storage_bucket_name'                                                                   => __( 'Please Enter Google Cloud Storage Bucket Name', 'wp-import-export' ),
                                'please_enter_dropbox_access_token'                                                                               => __( 'Please enter dropbox access token', 'wp-import-export' ),
                                'home'                                                                                                            => __( 'Home', 'wp-import-export' ),
                                'no'                                                                                                              => __( 'No', 'wp-import-export' ),
                                'yes_i_am_sure'                                                                                                   => __( "Yes, I'm Sure", 'wp-import-export' ),
                                'retrying_parsing_file'                                                                                           => __( 'Retrying Parsing file', 'wp-import-export' ),
                                'fail_to_parse_file'                                                                                              => __( 'Fail to Parse file', 'wp-import-export' ),
                                'select_path'                                                                                                     => __( 'Select path', 'wp-import-export' ),
                                'select_any_path_for_import'                                                                                      => __( 'Select any path for import', 'wp-import-export' ),
                                'all_available_paths'                                                                                             => __( 'All available paths', 'wp-import-export' ),
                                'total_records'                                                                                                   => __( 'Total Records', 'wp-import-export' ),
                                'select'                                                                                                          => __( 'Select', 'wp-import-export' ),
                                'recommended_paths'                                                                                               => __( 'Recommended Paths', 'wp-import-export' ),
                                'waiting'                                                                                                         => __( 'Waiting', 'wp-import-export' ),
                                'processing'                                                                                                      => __( 'Processing', 'wp-import-export' ),
                                'import_processing'                                                                                               => __( 'Import Processing', 'wp-import-export' ),
                                'completed'                                                                                                       => __( 'Completed', 'wp-import-export' ),
                                'import_completed'                                                                                                => __( 'Import Complete!', 'wp-import-export' ),
                                'export_completed'                                                                                                => __( 'Export Complete!', 'wp-import-export' ),
                                'automatically_import_start_in'                                                                                   => __( 'Automatically import start in', 'wp-import-export' ),
                                'are_you_sure_you_want_to_start_importing_file'                                                                   => __( 'Are you sure you want to start importing file?', 'wp-import-export' ),
                                'settings_founded_same_file_with_same_different_data_imported_previously_do_you_want_to_load_that_settings'       => __( 'Settings Founded. Same file with same/different data imported previously. Do you want to load that settings?', 'wp-import-export' ),
                                'yes_load_settings'                                                                                               => __( 'Yes, Load settings', 'wp-import-export' ),
                                'are_you_sure_you_want_to_export'                                                                                 => __( 'Are you sure you want to Export', 'wp-import-export' ),
                                'setting_loaded_successfully'                                                                                     => __( 'Setting Loaded Successfully', 'wp-import-export' ),
                                'setting_updated_successfully'                                                                                    => __( 'Setting Updated Successfully', 'wp-import-export' ),
                                'setting_saved_successfully'                                                                                      => __( 'Setting Saved Successfully', 'wp-import-export' ),
                                'please_select_entry_from_list'                                                                                   => __( 'Please select entry from list', 'wp-import-export' ),
                                'please_select_action'                                                                                            => __( 'Please select action', 'wp-import-export' ),
                                'successfully_deleted'                                                                                            => __( 'Successfully deleted', 'wp-import-export' ),
                                'only_10_to_50_logs_are_allowed'                                                                                  => __( 'only 10 to 50 logs are allowed', 'wp-import-export' ),
                                'choose_file_first'                                                                                               => __( 'Choose file first', 'wp-import-export' ),
                                'Invalid_file_format'                                                                                             => __( 'Invalid file format', 'wp-import-export' ),
                                'please_enter_purchase_code'                                                                                      => __( 'Please enter purchase code', 'wp-import-export' ),
                                'purchase_code_is_invalid'                                                                                        => __( 'Purchase code is invalid', 'wp-import-export' ),
                                'are_you_sure_you_want_to_deactivate_license'                                                                     => __( 'Are you sure you want to Deactivate License', 'wp-import-export' ),
                                'expired'                                                                                                         => __( 'Expired', 'wp-import-export' ),
                                'please_enter_emails'                                                                                             => __( 'Please enter emails', 'wp-import-export' ),
                                'please_choose_user_role'                                                                                         => __( 'Please choose user role', 'wp-import-export' ),
                                'do_you_want_to_auto_detect_settings'                                                                             => __( 'Do you want to auto detect settings?', 'wp-import-export' ),
                                'yes_i_do'                                                                                                        => __( 'Yes, I do', 'wp-import-export' ),
                                'meta__key'                                                                                                       => __( 'Meta Key', 'wp-import-export' ),
                                'meta__value'                                                                                                     => __( 'Meta Value', 'wp-import-export' ),
                                'hide_values'                                                                                                     => __( 'Hide Values', 'wp-import-export' ),
                                'multiple_values'                                                                                                 => __( 'Multiple values?', 'wp-import-export' ),
                                'show_values'                                                                                                     => __( 'Show Values', 'wp-import-export' ),
                                'please_enter_schedule_name'                                                                                      => __( 'Please enter schedule name', 'wp-import-export' ),
                                'please_enter_schedule_interval'                                                                                  => __( 'Please enter schedule interval', 'wp-import-export' ),
                                'paused'                                                                                                          => __( 'Paused', 'wp-import-export' ),
                                'stopped'                                                                                                         => __( 'Stopped', 'wp-import-export' ),
                                'processing_in_background'                                                                                        => __( 'Processing in background', 'wp-import-export' ),
                                'import_is_running_in_the_background_you_can_close_the_window'                                                    => __( 'Import is running in the background. you can close the window', 'wp-import-export' ),
                                'export_is_running_in_the_background_you_can_close_the_window'                                                    => __( 'Export is running in the background. you can close the window', 'wp-import-export' ),
                                'are_you_sure_you_want_to_delete_this_schedule'                                                                   => __( 'Are you sure you want to delete this schedule?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_delete_this_schedules'                                                                  => __( 'Are you sure you want to delete this schedules?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_fix_this_schedule'                                                                      => __( 'Are you sure you want to fix this schedule?', 'wp-import-export' ),
                                'no_records_found'                                                                                                => __( 'No Records Found', 'wp-import-export' ),
                                'please_select_any_content_type'                                                                                  => __( 'Please select any content type', 'wp-import-export' ),
                                'invalid_content_type'                                                                                            => __( 'Invalid content type', 'wp-import-export' ),
                                'add_new'                                                                                                         => __( 'Add New', 'wp-import-export' ),
                                'close'                                                                                                           => __( 'Close', 'wp-import-export' ),
                                'no_fields_found_please_add_some_fields'                                                                          => __( 'No fields found. Please add some fields', 'wp-import-export' ),
                                'please_enter_valid_number_in_value_field'                                                                        => __( 'Please enter valid number in value field', 'wp-import-export' ),
                                'import_resumed_successfully'                                                                                     => __( 'Import resumed successfully', 'wp-import-export' ),
                                'import_paused_successfully'                                                                                      => __( 'Import paused successfully', 'wp-import-export' ),
                                'import_stopped_successfully'                                                                                     => __( 'Import stopped successfully', 'wp-import-export' ),
                                'export_resumed_successfully'                                                                                     => __( 'Export resumed successfully', 'wp-import-export' ),
                                'export_paused_successfully'                                                                                      => __( 'Export paused successfully', 'wp-import-export' ),
                                'export_stopped_successfully'                                                                                     => __( 'Export stopped successfully', 'wp-import-export' ),
                                'please_wait_while_the_current_records_are_being_processed'                                                       => __( 'Please wait while the current records are being processed', 'wp-import-export' ),
                                'are_you_sure_you_want_to_stop_these_imports'                                                                     => __( 'Are you sure you want to stop this import(s)?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_stop_these_exports'                                                                     => __( 'Are you sure you want to stop this export(s)?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_resume_these_imports'                                                                   => __( 'Are you sure you want to resume this import(s)?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_resume_these_exports'                                                                   => __( 'Are you sure you want to resume this export(s)?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_pause_these_imports'                                                                    => __( 'Are you sure you want to pause this import(s)?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_pause_these_exports'                                                                    => __( 'Are you sure you want to pause this export(s)?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_set_this_import_to_run_in_the_background'                                               => __( 'Are you sure you want to set this import(s) to run in the background?', 'wp-import-export' ),
                                'are_you_sure_you_want_to_set_this_export_to_run_in_the_background'                                               => __( 'Are you sure you want to set this export(s) to run in the background?', 'wp-import-export' ),
                                'the_updates_have_been_applied_successfully'                                                                      => __( 'The updates have been applied successfully', 'wp-import-export' ),
                                'the_import_process_has_resumed'                                                                                  => __( 'The import process has resumed', 'wp-import-export' ),
                                'the_export_process_has_resumed'                                                                                  => __( 'The export process has resumed', 'wp-import-export' ),
                                'the_filter_has_been_applied_successfully'                                                                        => __( 'The filter has been applied successfully', 'wp-import-export' ),
                                'import_failed'                                                                                                   => __( 'Import failed', 'wp-import-export' ),
                                'export_failed'                                                                                                   => __( 'Export failed', 'wp-import-export' ),
                                'failed'                                                                                                          => __( 'failed', 'wp-import-export' ),
                                'scheduled'                                                                                                       => __( 'scheduled', 'wp-import-export' ),
                                'the_schedule_is_now_set'                                                                                         => __( 'The schedule is now set', 'wp-import-export' ),
                                'please_select_any_import_from_the_list'                                                                          => __( 'Please select any import from the list', 'wp-import-export' ),
                                'file_parsing_is_underway_your_patience_is_appreciated'                                                           => __( 'File parsing is underway, your patience is appreciated', 'wp-import-export' ),
                                'export_stopped'                                                                                                  => __( 'Export stopped', 'wp-import-export' ),
                                'import_stopped'                                                                                                  => __( 'Import stopped', 'wp-import-export' ),
                                'compatible_with_all_date_formats'                                                                                => __( 'Compatible with all date formats', 'wp-import-export' ),
                                'supports_flexible_dynamic_date_formats_eg_today_tomorrow_or_last_day_of_next_month'                              => __( 'Supports flexible, dynamic date formats, e.g., "today", "tomorrow" or "last day of next month"', 'wp-import-export' ),
                                'use_commas_to_separate_multiple_data_entries_eg_value1_value2_value3'                                            => __( 'Use commas to separate multiple data entries (e.g., value1, value2, value3)', 'wp-import-export' ),
                                'the_in_and_not_in_conditions_support_multiple_values'                                                            => __( 'The "IN" and "NOT IN" conditions support multiple values', 'wp-import-export' ),
                                'certain_fields_contain_data_that_cannot_be_compared_using_all_methods_resulting_in_those_methods_being_disabled' => __( 'Certain fields contain data that cannot be compared using all methods, resulting in those methods being disabled', 'wp-import-export' ),
                                'premium_feature'                                                                                                 => __( 'Premium feature', 'wp-import-export' ),
                        ]
                );
        }
}
