<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Base\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Polylang implements InterfaceField {

        
        const FIELD_TYPE = "polylang";

        
        public static function get() {

                $fields = [
                        "title"      => \esc_html__( "Polylang", 'wp-import-export' ),
                        "priority"   => 28,
                        "isFiltered" => false,
                        "pro"        => true,
                        "data"       => [
                                //General
                                [ 'label' => 'Polylang Language Label', 'type' => static::getLabelType(), 'element' => 'language' ],
                                [ 'label' => 'Polylang Language', 'type' => self::FIELD_TYPE, 'element' => 'polylang_lang' ],
                                [ 'label' => 'Polylang All Translations', 'type' => self::FIELD_TYPE, 'element' => 'polylang_translations' ],
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Base/Fields/Polylang', $fields, Settings::getContentType() );
        }

        
        public static function getLabelType() {


                return self::FIELD_TYPE;
        }
}
