<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Taxonomy\Fields;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Base\Fields\Seo as BaseSeo;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Fields\Meta as TaxonomyMeta;

defined( 'WPIE__FILE__' ) || exit;


class Seo extends BaseSeo implements InterfaceField {

        
        protected static $metaType = TaxonomyMeta::FIELD_TYPE;

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Export/Taxonomy/Fields/RankMathSeo', parent::get(), Settings::getContentType() );
        }

}
