<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Category;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Manager as Taxonomy;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\ImportConfig;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends Taxonomy {

        
        protected static function init( $option = "data" ) {

                if ( $option === 'fields' ) {
                        return Helper::sortBy( Fields::get(), "priority" );
                }

                if ( $option === 'import-config' ) {
                        return ImportConfig::get();
                }

                return Engine::init( $option );
        }

}
