<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Post\Manager as PostManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends PostManager {

        
        protected static function init( $option = "data" ) {

                if ( $option === 'fields' ) {
                        return Helper::sortBy( Fields::get(), "priority" );
                }
                if ( $option === 'import-config' ) {
                        return ImportConfig::get();
                }

                return Engine::init( $option );
        }

}
