<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Review;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Comment\Engine as CommentEngine;

defined( 'WPIE__FILE__' ) || exit;


class Engine extends CommentEngine {

        
        protected static function buildQuery() {

                $query = parent::buildQuery();

                $query[ 'type__in' ]  = [ 'review', 'comment' ];
                $query[ 'post_type' ] = 'product';

                
                return \apply_filters( 'Wpie/Export/Review/Query', $query, Settings::getContentType() );
        }

}
