<?php



namespace WpieApp\Extensions\Export\WooCommerce;

defined( 'WPIE__FILE__' ) || exit;


class I10n {

        
        public static function init() {

                \add_filter( 'Wpie/Localize/Texts', [ __CLASS__, 'addTexts' ] );
        }

        
        public static function addTexts( $data = [] ) {

                return array_merge(
                        $data,
                        [
                                'includes_only_products_excludes_variation'            => __( 'Includes Only Products Excludes Variation', 'wp-import-export' ),
                                'includes_variations_excludes_parent_variable_product' => __( 'Includes Variations Excludes Parent Variable Product', 'wp-import-export' ),
                                'includes_products_and_variation'                      => __( 'Includes Products + Variation', 'wp-import-export' ),
                                'includes_orders_and_refunds'                          => __( 'Includes Orders + Refunds', 'wp-import-export' ),
                        ]
                );
        }

}
