<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;

defined( 'WPIE__FILE__' ) || exit;


class General {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'allinoneseo/general/title' ) ) {
                        $data[ "title" ] = DataCenter::get( "allinoneseo/general/title/data" );
                }

                if ( DataCenter::canUpdate( 'allinoneseo/general/description' ) ) {
                        $data[ "description" ] = DataCenter::get( "allinoneseo/general/description/data" );
                }

                return $data;
        }
}
