<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Facebook;

defined( 'WPIE__FILE__' ) || exit;


class ArticleTags {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Article Tags', 'wp-import-export' ),
                        "desc"   => __( 'Facebook Article Tags', 'wp-import-export' ),
                        "order"  => 70,
                        "fields" => [
                                "article_tags"   => [
                                        "order"      => 5,
                                        "label"      => __( 'Article Tags', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "article_tags" => [
                                                        "description" => __( "SEO Facebook Article Tags", 'wp-import-export' ),
                                                        "name"        => "fields/allinoneseo/facebook/article_tags/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( "example tag1,tag2,...", 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only applied if Object Type is default or article', 'wp-import-export' ), 'class' => 'text-danger' ],
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-separator" => [
                                        "order"      => 10,
                                        "label"      => __( 'Article Tags Data separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'Each Article Tags separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "name"        => "fields/allinoneseo/facebook/article_tags/separator",
                                                        "value"       => ",",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Default : ,(comma)', 'wp-import-export' ) ],
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }
}
