<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class ImageOverlay {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Icon Overlay', 'wp-import-export' ),
                        "desc"   => __( 'Twitter Icon Overlay', 'wp-import-export' ),
                        "order"  => 25,
                        "fields" => [
                                "image_overlay" => [
                                        "order"      => 5,
                                        "label"      => __( 'Twitter Icon Overlay', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "image_overlay" => [
                                                        "description"   => __( "SEO Twitter Icon Overlay", 'wp-import-export' ),
                                                        "name"          => "fields/rankmathseo/twitter/image_overlay/data",
                                                        "type"          => "radio",
                                                        "default"       => "as_specified",
                                                        "choices"       => [
                                                                "play"         => __( "Play icon", 'wp-import-export' ),
                                                                "gif"          => __( "GIF icon", 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "choices-class" => [
                                                                "play"         => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "image-overlay-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "image-overlay" => [
                                                                                                "name"  => "fields/rankmathseo/twitter/image_overlay/data_as_specified",
                                                                                                "order" => 5,
                                                                                                "type"  => "text",
                                                                                                "hint"  => [
                                                                                                        [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'Default : play', 'wp-import-export' ) ],
                                                                                                        [ 'text' => __( 'play or gif supported', 'wp-import-export' ) ],
                                                                                                ],
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
