<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Fields\Twitter;

defined( 'WPIE__FILE__' ) || exit;


class UseFacebook {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Use Data from Facebook Tab', 'wp-import-export' ),
                        "desc"     => __( 'Use Data from Facebook Tab', 'wp-import-export' ),
                        "order"    => 4,
                        "isActive" => true,
                        "fields"   => [
                                "use_facebook" => [
                                        "order"      => 10,
                                        "label"      => __( 'Use Data from Facebook', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "use_facebook" => [
                                                        "description" => __( 'Use Data from Facebook', 'wp-import-export' ),
                                                        "name"        => "fields/rankmathseo/twitter/use_facebook/data",
                                                        "order"       => 5,
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default: No', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'off, on, yes, no, true, false, 1, 0 all values are supported', 'wp-import-export' ) ],
                                                        ],
                                                ]
                                        ]
                                ],
                        ]
                ];
        }
}
