<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term;

use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Fields\General;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Fields\Facebook;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Fields\Twitter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Fields\Advanced;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Term\Fields\Schema;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {
                \add_filter( 'Wpie/Import/Base/Fields', [ __CLASS__, 'get' ], 10, 2 );
        }

        
        public static function get( $fields = [], $contentType = '' ) {

                $fields[ "rankmathseo-general" ] = General::get();

                $fields[ "rankmathseo-advanced" ] = Advanced::get();

                $fields[ "rankmathseo-schema" ] = Schema::get();

                $fields[ "rankmathseo-facebook" ] = Facebook::get();

                $fields[ "rankmathseo-twitter" ] = Twitter::get();

                return $fields;
        }
}
