<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\ContentType;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\ContentType\Base;

defined( 'WPIE__FILE__' ) || exit;


class Order Extends Base {

        
        protected static $category = 'wc';

        
        protected static $filePrefix = 'shop-order';

        
        protected static $contentType = 'shop_order';

        
        protected static $fields = [ 'orderid', 'orderkey', 'orderdate', 'orderstatus', 'ordercurrency',
                'shippingcost', 'shippingtaxes', 'shippingmeta', 'taxratelabel', 'taxratecode', 'taxratepercentage', 'taxtotal',
                'ordertotal', 'refundamounts', 'refundreason', 'refundby', 'refunddate', 'refunditems', 'refunditemquantity',
                'refunditemtotal', 'refunditemtax', 'refundfee', 'refundfeetax', 'refundfeetotal', 'refundshipping',
                'refundshippingtax', 'refundshippingtotal', 'ordershippingtax', 'cartdiscounttax' ];

        
        public static function processData() {
                return true;
        }

}
