<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\ContentType;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\ContentType\Base;

defined( 'WPIE__FILE__' ) || exit;


class Tags Extends Base {

        
        protected static $category = 'wc';

        
        protected static $filePrefix = 'product-tag';

        
        protected static $contentType = 'product_tag';

        
        protected static $fields = [ 'taxonomy' ];

        
        public static function processData() {

                if ( isset( parent::$data[ 'taxonomy' ] ) && 'product_tag' === parent::$data[ 'taxonomy' ] ) {
                        return true;
                }

                return false;
        }

}
