<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Fields\Attribute;

defined( 'WPIE__FILE__' ) || exit;


class EnableArchive {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Enable Archive', 'wp-import-export' ),
                        "desc"   => __( 'Attribute Enable Archive', 'wp-import-export' ),
                        "order"  => 30,
                        "fields" => [
                                "order" => [
                                        "order"      => 10,
                                        "label"      => __( 'Attribute Enable Archive', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "order" => [
                                                        "description" => __( "Enable Archive", 'wp-import-export' ),
                                                        "name"        => "fields/attribute/enable_archive/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ 'text' => __( 'optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'yes, no, true, false, 0, 1 values are supported', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }
}
