<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines\Images\Source;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Image as BaseImage;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Engines\Images\Attachment;

defined( 'WPIE__FILE__' ) || exit;


class Image extends BaseImage {

        
        public static function import() {

                $sourceAdded = Source::import();

                if ( $sourceAdded ) {
                        /* translators: %s: Category Label */
                        Logger::log( sprintf( __( "%s Images Imported", 'wp-import-export' ), Settings::getTaxonomyLabel() ) );
                }
                $detailsAdded = Attachment::import();

                if ( $sourceAdded || $detailsAdded ) {
                        /* translators: %s: Category Label */
                        Logger::log( sprintf( __( "%s Images Imported", 'wp-import-export' ), Settings::getTaxonomyLabel() ) );
                }
        }
}
