<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Billing;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class FirstName {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'First Name', 'wp-import-export' ),
                        "desc"     => __( 'First Name', 'wp-import-export' ),
                        "isActive" => true,
                        "order"    => 10,
                        "fields"   => [
                                "first-name" => [
                                        "order"      => 5,
                                        "label"      => __( 'First Name', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "first-name" => [
                                                        "description" => __( 'Billing First Name', 'wp-import-export' ),
                                                        "name"        => "fields/billing/first-name/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Optional', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
