<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Notifications\Email;

defined( 'WPIE__FILE__' ) || exit;


class Notification implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Notification', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"           => __( 'Notification', 'wp-import-export' ),
                        "order"           => 140,
                        "hide-bulk-check" => true,
                        "blocks"          => [
                                "notification/email" => Email::getBlocks(),
                        ]
                ];
        }

}
