<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Product;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class VariationAttributes {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Variation Attributes', 'wp-import-export' ),
                        "desc"   => __( 'Variation Attributes', 'wp-import-export' ),
                        "order"  => 70,
                        "fields" => [
                                "variation-attributes" => [
                                        "order"      => 5,
                                        "label"      => __( 'Variation Attributes', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "variation-attributes" => [
                                                        "description" => __( 'Applicable for variable product only', 'wp-import-export' ),
                                                        "name"        => "fields/product/variation-attributes/data",
                                                        "type"        => "textarea",
                                                        "hint"        => [
                                                                [ "text" => __( 'Recommended if product is variable', 'wp-import-export' ) ],
                                                                [ "text" => __( 'Only accept JSON format', 'wp-import-export' ) ],
                                                        ]
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
