<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\General;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class TaxStatus {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Tax Status', 'wp-import-export' ),
                        "desc"     => __( 'Tax Status', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "tax-status" => [
                                        "order"      => 10,
                                        "label"      => __( 'Tax Status', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "tax-status" => [
                                                        "description"   => __( 'Tax Status', 'wp-import-export' ),
                                                        "name"          => "fields/general/tax-status/data",
                                                        "type"          => "radio",
                                                        "default"       => "taxable",
                                                        "choices"       => [
                                                                'taxable'      => __( 'Taxable', 'wp-import-export' ),
                                                                'shipping'     => __( 'Shipping only', 'wp-import-export' ),
                                                                'none'         => __( 'None', 'wp-import-export' ),
                                                                "as_specified" => __( "As specified", 'wp-import-export' )
                                                        ],
                                                        "hints"         => [
                                                                "as_specified" => __( 'Custom Option specified by you', 'wp-import-export' ),
                                                        ],
                                                        "choices-class" => [
                                                                "taxable"      => "bse-form-check-success",
                                                                "as_specified" => "bse-form-check-primary"
                                                        ],
                                                        "fields"        => [
                                                                "as_specified" => [
                                                                        "tax-status-as-specified" => [
                                                                                "order"      => 5,
                                                                                "sub-fields" => [
                                                                                        "as-specified" => [
                                                                                                "description" => __( 'All Above Option are supported', 'wp-import-export' ),
                                                                                                "name"        => "fields/general/tax-status/data_as_specified",
                                                                                                "class"       => "",
                                                                                                "order"       => 10,
                                                                                                "type"        => "textarea",
                                                                                        ]
                                                                                ]
                                                                        ]
                                                                ]
                                                        ],
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
