<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Fields\Extra;

defined( 'WPIE__FILE__' ) || exit;


class Verified {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Verified', 'wp-import-export' ),
                        "desc"   => __( 'Verified', 'wp-import-export' ),
                        "order"  => 15,
                        "fields" => [
                                "extra" => [
                                        "order"      => 10,
                                        "label"      => __( 'Review verification status', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "extra" => [
                                                        "description" => __( 'Reviewer bought the product or not', 'wp-import-export' ),
                                                        "name"        => "fields/extra/verified/data",
                                                        "type"        => "textarea",
                                                        "hint"        => __( 'Note : yes, no, true, false, 0, 1 values are supported', 'wp-import-export' )
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

}
