<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Notification {

        
        public static function update() {

                if ( 1 !== \absint( DataCenter::get( "standard/notification/email" ) ) ) {
                        return false;
                }

                //prevent sending from wp_mail             
                add_filter( 'pre_wp_mail', '__return_true', 99999 );

                remove_filter( 'after_password_reset', 'wp_password_change_notification' );
                remove_filter( 'register_new_user', 'wp_send_new_user_notifications' );
                remove_filter( 'edit_user_created_user', 'wp_send_new_user_notifications' );

                //Ultimate Member plugin Email Notifications 
                remove_all_actions( 'um_registration_complete' );

                add_filter( 'send_password_change_email', '__return_false', 99999 );
                add_filter( 'send_email_change_email', '__return_false', 99999 );
        }

}
