<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\User\Fields\Notifications\Email;

defined( 'WPIE__FILE__' ) || exit;


class Notification implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/User/Fields/Notification', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"           => __( 'Notification', 'wp-import-export' ),
                        "order"           => 30,
                        "hide-bulk-check" => true,
                        "blocks"          => [
                                "notification/email" => Email::getBlocks(),
                        ]
                ];
        }

}
