<?php



namespace WpieApp\Modules\Schedules\View\Schedules;

defined( 'WPIE__FILE__' ) || exit;


class Import {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Schedules/View/Import',
                        [
                                "title"  => __( 'Import', 'wp-import-export' ),
                                "order"  => 40,
                                "desc"   => __( 'Manage Schedule Import', 'wp-import-export' ),
                                "fields" => [
                                        "schedule-import-log" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "log" => [
                                                                'bg-class' => "bg-light bg-opacity-75",
                                                                "type"     => "schedule-import",
                                                                "order"    => 10,
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
