<?php



namespace WpieApp\Modules\Tools\View\Tools;

defined( 'WPIE__FILE__' ) || exit;


class Upload {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Tools/View/Settings/Upload',
                        [
                                "title"  => __( 'Upload Settings', 'wp-import-export' ),
                                "order"  => 20,
                                "desc"   => __( 'Upload Settings', 'wp-import-export' ),
                                "fields" => [
                                        "upload" => [
                                                "order"      => 10,
                                                "sub-fields" => [
                                                        "upload-settings" => [
                                                                "type"        => "file",
                                                                "accept"      => ".json, .txt",
                                                                "order"       => 5,
                                                                "class"       => "wpie-upload-settings",
                                                                "description" => __( 'Select Json Setting File. Exported from same plugin', 'wp-import-export' )
                                                        ],
                                                        "submit-button"   => [
                                                                "type"       => "button",
                                                                "order"      => 15,
                                                                "label"      => __( 'Upload', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-upload",
                                                                "class"      => "wpie-upload-settings-btn btn-primary"
                                                        ],
                                                ],
                                        ],
                                ],
                        ]
                );
        }

}
